## org.openmuc.jasn1.ber.types
Class BerBoolean

    java.lang.Object
      org.openmuc.jasn1.ber.types.BerBoolean

    public class BerBoolean

extends java.lang.Object

Field Summary
`byte[]` `code`
`BerIdentifier` `id`
`static BerIdentifier` `identifier`
`boolean` `val`

Constructor Summary
`BerBoolean()`
`BerBoolean(boolean val)`
`BerBoolean(byte[] code)`

Method Summary
`int` `decode(java.io.InputStream iStream, boolean explicit)`
`int` `encode(BerByteArrayOutputStream berOStream, boolean explicit)`
`void` `encodeAndSave(int encodingSizeGuess)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### identifier

    public static final BerIdentifier identifier

### id

    public BerIdentifier id

### code

    public byte[] code

### val

    public boolean val

Constructor Detail

### BerBoolean

    public BerBoolean()

### BerBoolean

    public BerBoolean(byte[] code)

### BerBoolean

    public BerBoolean(boolean val)

Method Detail

### encode

    public int encode(BerByteArrayOutputStream berOStream,
                      boolean explicit)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### decode

    public int decode(java.io.InputStream iStream,
                      boolean explicit)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeAndSave

    public void encodeAndSave(int encodingSizeGuess)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`